
if (Drupal.jsEnabled) {
  $(document).ready(function() {

    $('.ff_clear_link').each(function() {
        var el = $(this);
        el.mousedown(function(){return false;});
    });

    $('.form-item .description').hover(
        function(){$(this).addClass('description-hover');},
        function(){$(this).removeClass('description-hover');}
    );

 /* --- [EN] Hints ------------------------------------------------------------------------- */

    set_hint('#search-block-form #edit-search-block-form-keys');
    set_hint('#user-login-form #edit-name');
    set_hint('#user-login-form #edit-pass');

  });
}

 /* --- [EN] FUNCTIONS --------------------------------------------------------------------- */

    function set_hint(element_path){
        try {
            var element = $(element_path);
            element.focus(nx_hint_show);
            element.blur(nx_hint_hide);
            nx_hint_hide.call(element);
        } catch(e){}
    }

    function nx_hint_show(){
        if ($(this).attr('value') == '') {
            $(this).removeClass($(this).attr('id')+'-Hint');
        }
    }

    function nx_hint_hide(){
        if ($(this).attr('value') == '') {
            $(this).addClass($(this).attr('id')+'-Hint');
        }
    }

